/[gentoo-x86]/sys-apps/policycoreutils/ChangeLog
Gentoo

Diff of /sys-apps/policycoreutils/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.71 Revision 1.117
1# ChangeLog for sys-apps/policycoreutils 1# ChangeLog for sys-apps/policycoreutils
2# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.71 2008/10/03 03:51:23 pebenito Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.117 2013/04/19 10:27:45 swift Exp $
4
5*policycoreutils-2.1.13-r11 (19 Apr 2013)
6
7 19 Apr 2013; Sven Vermeulen <swift@gentoo.org>
8 +policycoreutils-2.1.13-r11.ebuild:
9 Add selocal command to policycoreutils
10
11*policycoreutils-2.1.13-r10 (16 Apr 2013)
12
13 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
14 +policycoreutils-2.1.13-r10.ebuild:
15 Fix bugs #463222 (newrole O_RDWR) and #464808 (hardcoded python3.1 in rlpkg)
16
17 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
18 -policycoreutils-2.1.10-r1.ebuild, -policycoreutils-2.1.10-r3.ebuild,
19 -policycoreutils-2.1.10-r4.ebuild, -policycoreutils-2.1.10.ebuild:
20 Some cleanup (older release unstables)
21
22 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
23 policycoreutils-2.1.13-r9.ebuild:
24 Stabilize policycoreutils-2.1.13-r9
25
26*policycoreutils-2.1.13-r9 (19 Mar 2013)
27
28 19 Mar 2013; Sven Vermeulen <swift@gentoo.org>
29 +policycoreutils-2.1.13-r9.ebuild:
30 Fix bug #457786 - Link runscript_selinux with crypt
31
32*policycoreutils-2.1.13-r8 (10 Mar 2013)
33
34 10 Mar 2013; Sven Vermeulen <swift@gentoo.org>
35 +policycoreutils-2.1.13-r8.ebuild:
36 Adding selinux_gentoo init script for initramfs and cpu/online support
37 (#456914)
38
39*policycoreutils-2.1.13-r7 (09 Mar 2013)
40
41 09 Mar 2013; Sven Vermeulen <swift@gentoo.org>
42 +policycoreutils-2.1.13-r7.ebuild:
43 Update policycoreutils-extras to fix build failure when not building with PAM
44 support, see bug #457786
45
46*policycoreutils-2.1.13-r6 (30 Dec 2012)
47
48 30 Dec 2012; Sven Vermeulen +policycoreutils-2.1.13-r6.ebuild,
49 policycoreutils-2.1.13-r5.ebuild:
50 Stabilize r5, get r6 available as well which fixes rlpkg to include zfs
51 support
52
53*policycoreutils-2.1.13-r5 (17 Nov 2012)
54
55 17 Nov 2012; <swift@gentoo.org> policycoreutils-2.1.13-r4.ebuild,
56 +policycoreutils-2.1.13-r5.ebuild:
57 Stabilization, move sesandbox support to next release
58
59*policycoreutils-2.1.13-r4 (14 Oct 2012)
60
61 14 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r4.ebuild:
62 Remove support for python3 until upstream supports it
63
64 13 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.13-r3.ebuild:
65 Supporting user-provided patches using epatch_user
66
67*policycoreutils-2.1.13-r3 (09 Oct 2012)
68
69 09 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r3.ebuild:
70 Introducing new upstream release
71
72 06 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.10-r5.ebuild:
73 Stabilize
74
75*policycoreutils-2.1.10-r5 (08 Sep 2012)
76
77 08 Sep 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r5.ebuild:
78 Fix bug #427596 and #430806
79
80 10 Jul 2012; <swift@gentoo.org> policycoreutils-2.1.10-r3.ebuild:
81 Stabilization, drop libcgroup dependency along the way
82
83*policycoreutils-2.1.10-r4 (10 Jul 2012)
84
85 10 Jul 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r4.ebuild:
86 Support refpolicy style audit2allow (#417199)
87
88 26 Jun 2012; Mike Gilbert <floppym@gentoo.org>
89 policycoreutils-2.1.10-r1.ebuild, policycoreutils-2.1.10-r3.ebuild,
90 policycoreutils-2.1.10.ebuild:
91 Restrict pypy per Arfrever.
92
93*policycoreutils-2.1.10-r3 (25 Jun 2012)
94
95 25 Jun 2012; <swift@gentoo.org>
96 +files/policycoreutils-extra-1.21-fix-python3.patch,
97 +policycoreutils-2.1.10-r3.ebuild:
98 Improve support for python3, fixes bug #416301
99
100 13 May 2012; <swift@gentoo.org> -policycoreutils-2.1.0-r1.ebuild,
101 -policycoreutils-2.1.0-r2.ebuild:
102 Removing obsoleted ebuilds
103
104*policycoreutils-2.1.10-r1 (29 Apr 2012)
105
106 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild,
107 +policycoreutils-2.1.10-r1.ebuild:
108 Remove dependency on libcgroup (but drop sesandbox support along the way)
109
110 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild:
111 Stabilization
112
113*policycoreutils-2.1.10 (31 Mar 2012)
114
115 31 Mar 2012; <swift@gentoo.org> +policycoreutils-2.1.10.ebuild, metadata.xml:
116 Bump to version 2.1.10
117
118 26 Feb 2012; <swift@gentoo.org> policycoreutils-2.1.0-r2.ebuild:
119 Stabilization
120
121 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild,
122 metadata.xml:
123 Mark audit as a local USE flag
124
125*policycoreutils-2.1.0-r2 (14 Jan 2012)
126
127 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild:
128 Override auto-detection of pam and audit, use USE flags for this
129
130 12 Nov 2011; <swift@gentoo.org> -policycoreutils-2.0.82.ebuild,
131 -policycoreutils-2.0.82-r1.ebuild, -policycoreutils-2.0.85.ebuild,
132 -policycoreutils-2.1.0.ebuild:
133 removing obsoleted ebuilds
134
135 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.1.0-r1.ebuild:
136 Stabilization (tracker #384231)
137
138 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.0.82-r1.ebuild:
139 Stabilize 2.0.82-r1 to fix #372807
140
141*policycoreutils-2.1.0-r1 (17 Sep 2011)
142
143 17 Sep 2011; <swift@gentoo.org> +policycoreutils-2.1.0-r1.ebuild:
144 Add /var/lib/selinux directory, needed for 'semodule permissive' support (bug
145 #381755)
146
147 02 Sep 2011; <swift@gentoo.org> policycoreutils-2.0.85.ebuild,
148 policycoreutils-2.1.0.ebuild:
149 Update patch locations to dev.g.o instead of files/ folder
150
151 12 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
152 -policycoreutils-2.0.55.ebuild, -policycoreutils-2.0.69.ebuild,
153 -policycoreutils-2.0.69-r1.ebuild, -policycoreutils-2.0.69-r2.ebuild,
154 -files/policycoreutils-2.0.69-setfiles.diff:
155 Removed deprecated versions
156
157*policycoreutils-2.1.0 (03 Aug 2011)
158
159 03 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
160 +policycoreutils-2.1.0.ebuild:
161 Bump to 20110727 SELinux userspace release
162
163*policycoreutils-2.0.85 (15 Jul 2011)
164
165 15 Jul 2011; Anthony G. Basile <blueness@gentoo.org>
166 +policycoreutils-2.0.85.ebuild,
167 +files/policycoreutils-2.0.85-fix-seunshare-vuln.patch.gz,
168 +files/policycoreutils-2.0.85-sesandbox.patch.gz:
169 Add fix for bug #374897 and initial support for python3
170
171 08 Jul 2011; Samuli Suominen <ssuominen@gentoo.org>
172 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
173 policycoreutils-2.0.69-r1.ebuild, policycoreutils-2.0.69-r2.ebuild:
174 Convert from "useq" to "use".
175
176*policycoreutils-2.0.82-r1 (30 Jun 2011)
177
178 30 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
179 +policycoreutils-2.0.82-r1.ebuild:
180 Overwrite invalid .po files with valid ones, fixes bug #372807
181
182 16 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
183 policycoreutils-2.0.82.ebuild:
184 Drop use_nls dependency on gettext. Its mandatory. See bug #299681.
185 Also put gettext in COMMON_DEPS, it is more than a RDEPEND.
186
187 28 May 2011; Anthony G. Basile <blueness@gentoo.org>
188 policycoreutils-2.0.82.ebuild:
189 Stable amd64 x86
190
191 16 Apr 2011; Anthony G. Basile <blueness@gentoo.org> metadata.xml:
192 Updated metadata info.
193
194 08 Feb 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
195 policycoreutils-2.0.82.ebuild:
196 Set SUPPORT_PYTHON_ABIS (bug #353762). Fix dependencies. Fix installation
197 with FEATURES="multilib-strict".
198
199*policycoreutils-2.0.82 (05 Feb 2011)
200
201 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
202 +policycoreutils-2.0.82.ebuild:
203 New upstream release.
204
205*policycoreutils-2.0.69-r2 (05 Feb 2011)
206
207 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
208 +policycoreutils-2.0.69-r2.ebuild,
209 +files/policycoreutils-2.0.69-setfiles.diff:
210 Fixed bug #300613
211
212 04 Apr 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
213 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
214 policycoreutils-2.0.69-r1.ebuild:
215 Delete calls to deprecated python_version().
216
217*policycoreutils-2.0.69-r1 (20 Sep 2009)
218
219 20 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
220 +policycoreutils-2.0.69-r1.ebuild:
221 Update rlpkg for ext4 and btrfs.
222
223 14 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
224 policycoreutils-2.0.69.ebuild:
225 Fix libsemanage DEP.
226
227 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
228 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild:
229 Add python_need_rebuild.
230
231*policycoreutils-2.0.69 (02 Aug 2009)
232
233 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
234 +policycoreutils-2.0.69.ebuild:
235 New upstream release.
236
237 18 Jul 2009; Chris PeBenito <pebenito@gentoo.org>
238 -policycoreutils-1.34.15.ebuild, policycoreutils-2.0.55.ebuild:
239 Mark stable. Remove old ebuilds.
4 240
5*policycoreutils-2.0.55 (03 Oct 2008) 241*policycoreutils-2.0.55 (03 Oct 2008)
6 242
7 03 Oct 2008; Chris PeBenito <pebenito@gentoo.org> 243 03 Oct 2008; Chris PeBenito <pebenito@gentoo.org>
8 +policycoreutils-2.0.55.ebuild: 244 +policycoreutils-2.0.55.ebuild:
350*policycoreutils-1.0 (03 Aug 2003) 586*policycoreutils-1.0 (03 Aug 2003)
351 587
352 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml, 588 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml,
353 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff: 589 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff:
354 Initial commit 590 Initial commit
355

Legend:
Removed from v.1.71  
changed lines
  Added in v.1.117

  ViewVC Help
Powered by ViewVC 1.1.20